package com.platomix.activity.clickhouse.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.platomix.activity.clickhouse.model.BladeActivityCost;

/**
 * Desc: 
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Aug 18, 2021 4:22:19 PM
 * 
 */
@Mapper
public interface BladeActivityCostMapper extends BaseMapper<BladeActivityCost>{
	@Select("select ifnull(sum(cost_price),0.00) as sum from ads.DIC_BLADE_ACTIVITY_COST where activity_id=${activityId}")
	public float getCostTotalOther(long activityId);
}
