package com.platomix.activity.clickhouse.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * Desc:结果表
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Aug 18, 2021 10:20:29 AM
 * 
 */
@TableName("ACTIVITY_DATA_MID_EXCHANGE")
public class ActivityDataMidExchange extends ActivityDataMid {
	private static final long serialVersionUID = 1L;
	
	@TableField(value = "CASH_PRIZE_MAN_TIMES")
	private Long cashPrizeManTimes;

	@TableField(value = "CASH_PRIZE_USERS_NEW")
	private Long cashPrizeUsersNew;

	@TableField(value = "CASH_PRIZE_USERS_OLD")
	private Long cashPrizeUsersOld;

	@TableField(value = "CASH_PRIZE_USERS_VALID")
	private Long cashPrizeUsersValid;

	@TableField(value = "CASH_PRIZE_RATE")
	private BigDecimal cashPrizeRate;

}
