package com.platomix.activity.clickhouse.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * Desc:参与中间表
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Aug 18, 2021 10:20:29 AM
 * 
 */
@TableName("ACTIVITY_DATA_MID_JOIN")
public class ActivityDataMidJoin extends ActivityDataMid {
	private static final long serialVersionUID = 1L;
	
	// 渠道ID，即是渠道推广ID
	@TableField(value = "CHANNEL_ID")
	private String channelId;

	@TableField(value = "CHANNEL_NAME")
	private String channelName;
	
	@TableField(value = "JOIN_USERS")
	private Long joinUsers;

	@TableField(value = "JOIN_USERS_NEW")
	private Long joinUsersNew;

	@TableField(value = "JOIN_USERS_OLD")
	private Long joinUsersOld;

	@TableField(value = "JOIN_USERS_VALID")
	private Long joinUsersValid;

	@TableField(value = "WIN_MAN_TIMES")
	private Long winManTimes;

	@TableField(value = "WIN_USERS")
	private Long winUsers;

	@TableField(value = "ORDER_USERS_NEW")
	private Long orderUsersNew;

	@TableField(value = "ORDER_USERS_OLD")
	private Long orderUsersOld;

	@TableField(value = "ORDER_USERS_VALID")
	private Long orderUsersValid;

	@TableField(value = "ORDER_USERS_BY_ACTIVITY")
	private BigDecimal orderUsersByActivity;

	@TableField(value = "ORDER_USERS_CANCEL_ACTIVITY")
	private Long orderUsersCancelActivity;

	@TableField(value = "ORDER_USERS_NET_GROWTH_ACTIVITY")
	private Long orderUsersNetGrowthActivity;

	@TableField(value = "CONVERSION_RATE")
	private BigDecimal conversionRate;

}
