package com.platomix.activity.clickhouse.model;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * Desc:参与记录表
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Aug 18, 2021 10:20:29 AM
 * 
 */
@Data
@TableName("ACTIVITY_DATA_RECORD_JOIN")
public class ActivityDataRecordJoin implements Serializable {
	private static final long serialVersionUID = 1L;

	@TableField(value = "JOIN_ID")
	private Long joinId;

	@TableField(value = "ACTIVITY_UUID")
	private String activityUuid;
	
	@TableField(value = "ACTIVITY_NAME")
	private String activityName;
	
	@TableField(value = "ACTIVITY_TYPE")
	private Integer activityType;

	@TableField(value = "ACTIVITY_TYPE_NAME")
	private String activityTypeName;
	
	@TableField(value = "CHANNEL_ID")
	private String channelId;
	
	@TableField(value = "CHANNEL_NAME")
	private String channelName;

	@TableField(value = "CHANNEL_ID_ORDER")
	private String channelIdOrder;

	@TableField(value = "CHANNEL_TYPE")
	private String channelType;

	@TableField(value = "PROVINCE")
	private String province;
	
	@TableField(value = "CITY")
	private String city;
	
	@TableField(value = "PHONE")
	private String phone;
	
	@TableField(value = "IP")
	private String ip;
	
	@TableField(value = "IS_HIT")
	private Integer isHit;
	
	@TableField(value = "JOIN_TIME")
	private Date joinTime;
	
	@TableField(value = "DATE_VALUE_MONTH")
	private Integer dateValueMonth;
	
	@TableField(value = "DATE_VALUE_DAY")
	private Integer dateValueDay;
	
	@TableField(value = "DATE_VALUE_HOUR")
	private Integer dateValueHour;
	
	@TableField(value = "IS_ORDER_YEAR")
	private Integer isOrderYear;
	
	@TableField(value = "IS_ORDER_IN_ACTIVITY")
	private Integer isOrderInActivity;
	
	@TableField(value = "IS_ORDER_BY_ACTIVITY")
	private Integer isOrderByActivity;
	
	@TableField(value = "CREATE_TIME")
	private Date createTime;
}
