package com.platomix.activity.clickhouse.model;

import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 
 * Desc: 客服投诉记录表
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Sep 2, 2021 5:34:36 PM
 *
 */
@Data
@TableName("FCT_CS_RECORDS")
public class FctCsRecords implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	@TableField(value = "THEDAY")
	private Long theDay; //

	@TableField(value = "WORKSHEETID")
	private String workSheetId; //

	@TableField(value = "ACCEPT_TIME")
	private Date acceptTime; //

	@TableField(value = "WORKSHEET_STATUS")
	private String workSheetStatus; //

	@TableField(value = "DIAL_PHONENUM")
	private String dialPhonenum; //

	@TableField(value = "ACCEPT_PHONENUM")
	private String acceptPhonenum; //

	@TableField(value = "SERVICE_TYPE")
	private String serviceType; //

	@TableField(value = "SERVICE_TYPE2")
	private String serviceType2; //

	@TableField(value = "SPNAME")
	private String spName; //

	@TableField(value = "SPID")
	private String spid; //

	@TableField(value = "PROVINCE")
	private String province; //

	@TableField(value = "ROLE_SOURCE")
	private String roleSource; //

	@TableField(value = "ACCEPT_TYPE")
	private String acceptType; //

	@TableField(value = "COMPLAINT_TYPE")
	private String complaintType; //

	@TableField(value = "COMPLAINT_SUBTYPE")
	private String complaintSubtype; //

	@TableField(value = "REFUND_REASON")
	private String refundReason; //

	@TableField(value = "DESCRIBE")
	private String describe; //

	@TableField(value = "HANDLE_RESULT")
	private String handleResult; //

	@TableField(value = "IS_REFUNDED")
	private String isRefunded; //

	@TableField(value = "REFUND_PNONENUM")
	private String refundPnonenum; //

	@TableField(value = "REFUND_TIMES")
	private String refundTimes; //

	@TableField(value = "REFUND_MONEY")
	private Long refundMoney; //

	@TableField(value = "IS_HIGH_REFUND")
	private String isHighRefund; //

	@TableField(value = "SERVICE_NO")
	private String serviceNo; //

	@TableField(value = "FINISH_TIME")
	private Date finishTime; //

	@TableField(value = "BP_ACCEPT_TIME")
	private Date bpAcceptTime; //

	@TableField(value = "BP_HANDLE_TIME")
	private Date bpHandleTime; //

	@TableField(value = "BP_SPEND_TIME")
	private String bpSpendTime; //

	@TableField(value = "FEEDBACK_LIMIT")
	private String feedbackLimit; //

	@TableField(value = "FEEDBACK1")
	private String feedback1; //

	@TableField(value = "FEEDBACK2")
	private String feedback2; //

	@TableField(value = "FEEDBACK3")
	private String feedback3; //

	@TableField(value = "NOTCLOSE_ONETIMES")
	private String notcloseOnetimes; //

	@TableField(value = "NOTCLOSE_REASON")
	private String notcloseReason; //

	@TableField(value = "NO10010")
	private String no10010; //

	@TableField(value = "IS_UPGRADE")
	private String isUpgrade; //

	@TableField(value = "COMPLAINT")
	private String complaint; //

	@TableField(value = "WORKFLOW_ID")
	private String workflowId; //

	@TableField(value = "BP_HANDLERS")
	private String bpHandlers; //

	@TableField(value = "DEPARTMENT")
	private String department; //

	@TableField(value = "MCOMMENT")
	private String mcomment; //

	@TableField(value = "SPCODE")
	private String spCode; //

	@TableField(value = "SHORTNAME")
	private String shortName; //

	@TableField(value = "CATEGORYNAME")
	private String categoryName; //

	@TableField(value = "CPTYPE")
	private String cpType; //

	@TableField(value = "SERVICE_TYPE3")
	private String serviceType3; //
}