package com.platomix.activity.clickhouse.service;

import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.platomix.activity.clickhouse.mapper.ActivityMemberExchangeRecordMapper;
import com.platomix.activity.clickhouse.model.ActivityMemberExchangeRecord;

/**
 * 
 * Desc: 活动会员兑奖记录表 服务实现类
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Sep 2, 2021 4:53:25 PM
 *
 */
@DS("clickhouse")
@Service
public class ActivityMemberExchangeRecordService
		extends ServiceImpl<ActivityMemberExchangeRecordMapper, ActivityMemberExchangeRecord> {

}
