package com.platomix.activity.kit;

import cn.hutool.core.lang.Snowflake;
import cn.hutool.core.util.IdUtil;

/**
 * Desc:雪花ID 
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Sep 1, 2021 5:28:31 PM
 *
 */
public class SnowKit {

	private SnowKit() {
	}

	public static long next() {
		Snowflake snowflake = IdUtil.getSnowflake(1, 1);
		return snowflake.nextId();
	}
}
