package com.platomix.activity.kit;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.LinkedHashMap;

import com.platomix.activity.enums.DateTypeEnum;

import cn.hutool.core.date.LocalDateTimeUtil;
import cn.hutool.core.util.NumberUtil;
import lombok.extern.slf4j.Slf4j;

/**
 * Desc: 时间维度计算工具
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Sep 3, 2021 10:10:41 PM
 * 
 */
@Slf4j
public class TimeDimensionKit {

//	final static String TAG = "TimeDimensionKit";
//
//	/**
//	 * 获取时间维度，截止时间是开区间，当需要获取月份维度时，截止时间必须是所要获取的月份的下个月的1号0点
//	 * 
//	 * @param startTime 开始时间
//	 * @param endTime   截止时间(开区间)
//	 * @param type      维度类型
//	 * @return
//	 */
//	public static LinkedHashMap<Integer, DateTypeEnum> get(String startTime, String endTime, DateTypeEnum type) {
//		LocalDateTime start = LocalDateTimeUtil.parse(startTime);
//		LocalDateTime end = LocalDateTimeUtil.parse(endTime);
//		return get(start, end, type);
//	}
//
//	/**
//	 * 获取时间维度，截止时间是开区间，当需要获取月份维度时，截止时间必须是所要获取的月份的下个月的1号0点
//	 * 
//	 * @param startTime 开始时间
//	 * @param endTime   截止时间(开区间)
//	 * @param type      维度类型
//	 * @return
//	 */
//	public static LinkedHashMap<Integer, DateTypeEnum> get(Date startTime, Date endTime, DateTypeEnum type) {
//		LocalDateTime start = LocalDateTimeUtil.of(startTime);
//		LocalDateTime end = LocalDateTimeUtil.of(endTime);
//		return get(start, end, type);
//	}
//
//	/**
//	 * 获取时间维度，截止时间是开区间，当需要获取月份维度时，截止时间必须是所要获取的月份的下个月的1号0点
//	 * 
//	 * @param startTime 开始时间
//	 * @param endTime   截止时间(开区间)
//	 * @param type      维度类型
//	 * @return
//	 */
//	public static LinkedHashMap<Integer, DateTypeEnum> get(LocalDateTime start, LocalDateTime end, DateTypeEnum type) {
//		// 开始和截止时间都修改为当前的开始时间00:00:00
//		start = LocalDateTimeUtil.beginOfDay(start);
//		end = LocalDateTimeUtil.beginOfDay(end);
//
//		log.info("start time is " + start);
//		log.info("end time is " + end);
//
//		if (end.isBefore(start)) {
//			// 结束时间大于开始时间，这不科学
//			throw new RuntimeException("TimeDimensionKit 获取时间维度失败，结束时间大于开始时间，这不科学");
//		}
//
//		String monthPattern = "yyyyMM";
//		String dayPattern = "yyyyMMdd";
//		String hourPattern = "yyyyMMddHH";
//
//		LinkedHashMap<Integer, DateTypeEnum> map = new LinkedHashMap<>();
//
//		if (type == DateTypeEnum.ALL || type == DateTypeEnum.MONTH) {
//			if (end.getDayOfMonth() != 1) {
//				throw new RuntimeException("TimeDimensionKit 获取时间维度失败，获取的维度包含月份，截止时间不是某月的第一天");
//			}
//
//			// 遍历月份
//			LocalDateTime monthStart = start;
//			while (monthStart.isBefore(end)) {
//				String month = LocalDateTimeUtil.format(monthStart, monthPattern);
//				map.put(NumberUtil.parseInt(month), DateTypeEnum.MONTH);
//				monthStart = monthStart.plusMonths(1);
//			}
//		}
//
//		if (type == DateTypeEnum.ALL || type == DateTypeEnum.DAY) {
//			// 遍历天
//			LocalDateTime datStart = start;
//			while (datStart.isBefore(end)) {
//				String day = LocalDateTimeUtil.format(datStart, dayPattern);
//				map.put(NumberUtil.parseInt(day), DateTypeEnum.DAY);
//				datStart = datStart.plusDays(1);
//			}
//		}
//
//		if (type == DateTypeEnum.ALL || type == DateTypeEnum.HOUR) {
//			// 遍历小时
//			LocalDateTime hourStart = start;
//			while (hourStart.isBefore(end)) {
//				String hour = LocalDateTimeUtil.format(hourStart, hourPattern);
//				map.put(NumberUtil.parseInt(hour), DateTypeEnum.HOUR);
//				hourStart = hourStart.plusHours(1);
//			}
//		}
//
//		return map;
//	}

}
