package com.platomix.activity;

import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import lombok.extern.slf4j.Slf4j;

/**
 * 
 * Desc: 活动数据清洗服务
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Oct 18, 2021 3:23:09 PM
 *
 */
@Slf4j
@SpringBootApplication
public class ActivityCleaningApp implements CommandLineRunner {
	final String SERVICE_NAME = "数据清洗服务已开启......";

	public static void main(String[] args) {
		SpringApplication.run(ActivityCleaningApp.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		log.info(SERVICE_NAME);
	}
}
