package com.platomix.activity;

import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import lombok.extern.slf4j.Slf4j;

/**
 * 
 * Desc: 指标服务
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Sep 11, 2021 3:38:59 PM
 *
 */
@Slf4j
@SpringBootApplication
public class ActivityIndexApp implements CommandLineRunner {
	final String SERVICE_NAME = "指标服务已开启......";

	public static void main(String[] args) {
		SpringApplication.run(ActivityIndexApp.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		log.info(SERVICE_NAME);
	}
}
