package com.platomix.activity.clickhouse.model;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * Desc:成本表
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Aug 18, 2021 10:20:29 AM
 * 
 */
@Data
@TableName("ACTIVITY_DATA_COST")
public class ActivityDataManager implements Serializable {
	private static final long serialVersionUID = 1L;

	@TableId(value = "ID", type = IdType.ASSIGN_ID)
	private Long id;

	@TableField(value = "MANAGER_ID")
	private Long managerId;

	@TableField(value = "ACTIVITY_UUID")
	private String activityUuid;
	
	@TableField(value = "MANAGER_NAME")
	private String managerName;
	
	@TableField(value = "MANAGER_PHONE")
	private String managerPhone;
	
	@TableField(value = "MANAGER_EMAIL")
	private String managerEmail;
	
	@TableField(value = "MANAGER_DEPT")
	private String managerDept;
	
	@TableField(value = "MANAGER_JOB")
	private String managerJob;

	@TableField(value = "CREATE_TIME")
	private Date createTime;
}
