package com.platomix.activity.clickhouse.model;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * Desc:兑奖记录表
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Aug 18, 2021 10:20:29 AM
 * 
 */
@Data
@TableName("ACTIVITY_DATA_RECORD_EXCHANGE")
public class ActivityDataRecordExchange implements Serializable {
	private static final long serialVersionUID = 1L;

	@TableField(value = "EXCHANGE_ID")
	private Long exchangeId;

	@TableField(value = "ACTIVITY_UUID")
	private String activityUuid;

	@TableField(value = "ACTIVITY_NAME")
	private String activityName;

	@TableField(value = "ACTIVITY_TYPE")
	private Integer activityType;

	@TableField(value = "ACTIVITY_TYPE_NAME")
	private String activityTypeName;

	@TableField(value = "PRIZE_ID")
	private String prizeId;

	@TableField(value = "PRIZE_NAME")
	private String prizeName;

	@TableField(value = "PRIZE_TYPE")
	private Integer prizeType;

	@TableField(value = "PRIZE_LEVEL")
	private Integer prizeLevel;

	@TableField(value = "WIN_CODE")
	private String winCode;

	@TableField(value = "PROVINCE")
	private String province;

	@TableField(value = "CITY")
	private String city;

	@TableField(value = "PHONE")
	private String phone;

	@TableField(value = "EXCHANGE_TIME")
	private Date exchangeTime;

	@TableField(value = "EXCHANGE_STATUS")
	private Integer exchangeStatus;

	@TableField(value = "EXCHANGE_STATUS_NAME")
	private String exchangeStatusName;

	@TableField(value = "DATE_VALUE_MONTH")
	private Integer dateValueMonth;

	@TableField(value = "DATE_VALUE_DAY")
	private Integer dateValueDay;

	@TableField(value = "DATE_VALUE_HOUR")
	private Integer dateValueHour;
	
	@TableField(value = "IS_ORDER_YEAR")
	private Integer isOrderYear;
	
	@TableField(value = "IS_ORDER_IN_ACTIVITY")
	private Integer isOrderInActivity;
	
	@TableField(value = "CREATE_TIME")
	private Date createTime;
}
