package com.platomix.activity.clickhouse.model;

import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 
 * Desc: 有效用户表
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Sep 2, 2021 5:35:02 PM
 *
 */
@Data
@TableName("HIS_FLOW_ORDER")
public class HisFlowOrder implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	@TableField(value = "THEMONTH")
	private Integer theMonth; //

	@TableField(value = "PROVINCE")
	private String province; //

	@TableField(value = "AREA")
	private String area; //

	@TableField(value = "CHANNEL")
	private String channel; //

	@TableField(value = "CPID")
	private String cpid; //

	@TableField(value = "SPID")
	private String spid; //

	@TableField(value = "SPNAME")
	private String spName; //

	@TableField(value = "USERID")
	private String userId; //

	@TableField(value = "ORDERTIME")
	private Date orderTime; //

	@TableField(value = "CANCELTIME")
	private Date cancelTime; //

	@TableField(value = "ENDTIME")
	private Date endTime; //

	@TableField(value = "CANCELCHANNEL2")
	private String cancelChannel2; //
}