package com.platomix.activity.clickhouse.service;

import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.platomix.activity.clickhouse.mapper.ActivityParticipateRecordMapper;
import com.platomix.activity.clickhouse.model.ActivityParticipateRecord;

/**
 * 
 * Desc: 活动参与记录表 服务实现类
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Sep 2, 2021 4:53:05 PM
 *
 */
@DS("clickhouse")
@Service
public class ActivityParticipateRecordService
		extends ServiceImpl<ActivityParticipateRecordMapper, ActivityParticipateRecord> {
}
