package com.platomix.activity.clickhouse.service;

import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.platomix.activity.clickhouse.mapper.BladeActivityCostMapper;
import com.platomix.activity.clickhouse.model.BladeActivityCost;

/**
 * Desc: 成本
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Aug 18, 2021 4:23:35 PM
 * 
 */
@DS("clickhouse")
@Service
public class BladeActivityCostService extends ServiceImpl<BladeActivityCostMapper, BladeActivityCost> {

	public float getCostTotalOther(long activityId) {
		return baseMapper.getCostTotalOther(activityId);
	}

}
