package com.platomix.activity.clickhouse.service;

import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.platomix.activity.clickhouse.mapper.BladeActivityMapper;
import com.platomix.activity.clickhouse.model.BladeActivity;

/**
 * Desc: 活动
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Aug 18, 2021 4:23:35 PM
 * 
 */
@DS("clickhouse")
@Service
public class BladeActivityService extends ServiceImpl<BladeActivityMapper, BladeActivity> {
}
