package com.platomix.activity.clickhouse.service;

import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.platomix.activity.clickhouse.mapper.CallerAreaCodeMapper;
import com.platomix.activity.clickhouse.model.CallerAreaCode;

/**
 * Desc: 号段表
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Aug 14, 2021 11:51:23 AM
 * 
 */
@DS("clickhouse")
@Service
public class CallerAreaCodeService extends ServiceImpl<CallerAreaCodeMapper, CallerAreaCode> {
}
