package com.platomix.activity.kit;

import java.io.Serializable;

import org.apache.ibatis.reflection.property.PropertyNamer;

import com.baomidou.mybatisplus.core.toolkit.LambdaUtils;
import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.baomidou.mybatisplus.core.toolkit.support.SerializedLambda;

/**
 * 
 * Desc: 
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Sep 18, 2021 1:05:05 AM
 *
 */
public final class LambdaKit {

	
	/**
	 * 
	 * @param column
	 * @return
	 */
	public static <T extends Serializable> String getColumnName(SFunction<T, ?> column)  {
		SerializedLambda lambda = LambdaUtils.resolve(column);
        String fieldName = PropertyNamer.methodToProperty(lambda.getImplMethodName());
        return fieldName;
    }
	
}
