package com.platomix.activity.task;

import org.springframework.stereotype.Component;

import lombok.extern.slf4j.Slf4j;

/**
 * Desc: 月指标任务
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Sep 24, 2021 11:22:20 AM
 * 
 */
@Slf4j
@Component
public class IndexJob {

//	@Autowired
//	protected ActivityDataJoinRecordService joinService;
//
//	@Autowired
//	private ActivityDataService activityDataService;
//
//	@Autowired
//	private ActivityDataExchangeRecordService cashService;
//
//	@Autowired
//	private FctCsRecordsService csRecordService;
//
//	@Autowired
//	private ActivityDataBaseInfoService activityService;
//
//	private List<ActivityData> dataList = new ArrayList<>();
//	private final int BATCH_SIZE = 100;
//
//	@PostConstruct
//	public void init() {
//		int total = 0;
//		List<DimensionModel> monthList = joinService.getDimensionMonth(0, 0);
//		if (CollUtil.isNotEmpty(monthList)) {
//			log.info("IndexJob - 开始计算" + monthList.size() + "个月指标对象...");
//			long s = System.currentTimeMillis();
//			handle(DateTypeEnum.MONTH, monthList);
//			long e = System.currentTimeMillis();
//			log.info("IndexJob - " + monthList.size() + "个月指标对象计算完成");
//			log.info("IndexJob - 耗时：" + (e - s) / 1000f + "秒");
//			
//			total+=monthList.size();
//		}
//
//		List<DimensionModel> dayList = joinService.getDimensionDay(0, 0);
//		if (CollUtil.isNotEmpty(dayList)) {
//			log.info("IndexJob - 开始计算" + dayList.size() + "个天指标对象...");
//			long s = System.currentTimeMillis();
//			handle(DateTypeEnum.DAY, dayList);
//			long e = System.currentTimeMillis();
//			log.info("IndexJob - " + dayList.size() + "个天指标对象计算完成");
//			log.info("IndexJob - 耗时：" + (e - s) / 1000f + "秒");
//			total+=dayList.size();
//		}
//
////		List<DimensionModel> hourList = joinService.getDimensionHour(0, 0);
////		if (CollUtil.isNotEmpty(hourList)) {
////			log.info("IndexJob - 开始计算" + hourList.size() + "个小时指标对象...");
////			long s = System.currentTimeMillis();
////			handle(DateTypeEnum.HOUR, hourList);
////			long e = System.currentTimeMillis();
////			log.info("IndexJob - " + hourList.size() + "个小时指标对象计算完成");
////			log.info("IndexJob - 耗时：" + (e - s) / 1000f + "秒");
////			total+=hourList.size();
////		}
//		
//		log.info("IndexJob - 共处理：" + total + "条数据");
//	}
//
//	protected ActivityDataDimension convert(DateTypeEnum dateType, DimensionModel data) {
//		ActivityDataDimension item = new ActivityDataDimension();
//		item.setId(SnowKit.next());
//
//		int partitionKey = 0;
//
//		if (DateTypeEnum.MONTH == dateType) {
//			partitionKey = data.getDateValueMonth();
//			item.setDateValue(data.getDateValueMonth());
//		} else if (DateTypeEnum.DAY == dateType) {
//			partitionKey = data.getDateValueDay();
//			item.setDateValue(data.getDateValueDay());
//		} else if (DateTypeEnum.HOUR == dateType) {
//			String day = String.valueOf(data.getDateValueHour()).substring(0, 8);
//			partitionKey = NumberUtil.parseInt(day);
//			item.setDateValue(data.getDateValueHour());
//		}
//
//		item.setPartitionKey(partitionKey);
//		item.setDateType(dateType.name());
//		item.setActivityUuid(data.getActivityUuid());
//		item.setProvince(data.getProvince());
//		item.setCity(data.getCity());
//
//		LambdaQueryWrapper<ActivityDataBaseInfo> queryWrapper = Wrappers.<ActivityDataBaseInfo>lambdaQuery()
//				.eq(ActivityDataBaseInfo::getActivityUuid, data.getActivityUuid()).last("limit 0,1");
//		ActivityDataBaseInfo activity = activityService.getOne(queryWrapper);
//
//		item.setActivityId(activity.getId());
//		item.setActivityType(activity.getActivityType());
//		item.setActivityTypeName(ActivityTypeEnum.reslove(activity.getActivityType()).getMessage());
//		item.setActivityName(activity.getActivityName());
//		item.setStartTime(activity.getStartTime());
//		item.setEndTime(activity.getEndTime());
//		item.setStatus(activity.getStatus());
//		item.setStatusName(StatusEnum.reslove(activity.getStatus()).getMessage());
//
//		item.setChannelIdPromotion("166887");
//		item.setChannelName("畅视公众号");
//
//		item.setIsThird(activity.getIsThird());
//		item.setIsThirdName(ThirdEnum.reslove(activity.getIsThird()).getMessage());
//		item.setCashDeadline(activity.getCashDeadline());
//		item.setCreateTime(new Date());
//		return item;
//	}
//
//	protected void handle(DateTypeEnum dateType, List<DimensionModel> dimensionList) {
//		dimensionList.forEach(item -> {
//			ActivityDataDimension dimension = convert(dateType, item);
////			long s = System.currentTimeMillis();
////			log.info("IndexJob - 指标对象" + dimension.getId() + "正在计算...");
//			ActivityData index = dimension.convert();
//			index.setUsersJoin(joinService.usersJoin(dimension, true));
//			index.setUsersJoinNet(joinService.usersJoin(dimension, false));
//			index.setUsersUnjoinHalfYear(joinService.usersUnjoinHalfYear(dimension));
//			index.setUsersJoinHalfYear(joinService.usersJoinHalfYear(dimension));
//			index.setUsersJoinNew(joinService.usersJoinNew(dimension));
//			index.setUsersJoinValid(joinService.usersJoinValid(dimension));
//
//			index.setUsersWin(joinService.usersWin(dimension, true));
//			index.setUsersWinNet(joinService.usersWin(dimension, false));
//
//			index.setUsersOrderNew(joinService.usersOrderNew(dimension));
//			index.setUsersOrderFullNew(joinService.usersOrderFullNew(dimension));
//			index.setUsersOrderHalfYear(joinService.usersOrderHalfYear(dimension));
//			index.setUsersOrderValid(joinService.usersOrderValid(dimension));
//			index.setUsersUnorderHalfYear(joinService.usersUnorderHalfYear(dimension));
////			index.setUsersOrderCancel(joinService.usersOrderCancel(dimension));
////			index.setUsersAddNet(joinService.usersAddNet(dimension));
//			index.setConversionRate(BigDecimal.valueOf(joinService.conversionRate(dimension)));
//
//			index.setUsersPrizeCash(cashService.usersPrizeCash(dimension));
//			index.setUsersPrizeCashHalfYear(cashService.usersPrizeCashHalfYear(dimension));
//			index.setUsersPrizeUncashHalfYear(cashService.usersPrizeUncashHalfYear(dimension));
//			index.setUsersPrizeCashNew(cashService.usersPrizeCashNew(dimension));
//			index.setUsersPrizeCashRate(BigDecimal.valueOf(cashService.usersPrizeCashRate(dimension)));
//			index.setUsersPrizeCashValid(cashService.usersPrizeCashValid(dimension));
//
//			index.setUsersComplaint(csRecordService.usersComplaint(dimension));
//
//			dataList.add(index);
//
////			log.info("IndexJob - 指标对象" + dimension.getId() + "计算完成...");
////			long e = System.currentTimeMillis();
////			log.info("IndexJob - 指标对象" + dimension.getId() + "耗时：" + (e - s) / 1000f + "秒");
//
//			if (dataList.size() >= BATCH_SIZE) {
////				log.info("IndexJob - 开始插入" + dataList.size() + "个指标对象");
//				activityDataService.saveBatch(dataList);
//				dataList.clear();
//			}
//		});
//
//		if (CollUtil.isNotEmpty(dataList)) {
////			log.info("IndexJob - 开始插入" + dataList.size() + "个指标对象");
//			activityDataService.saveBatch(dataList);
//			dataList.clear();
//		}
//	}
}
